/***************************************************************************
                          kldcop.h  -  description
                             -------------------
    begin                : Wed Aug 22 2001
    copyright            : (C) 2001 by Peter Simonsson
    email                : psn@linux.se
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef KLDCOP_H
#define KLDCOP_H

// Qt includes
#include <qobject.h>

// KDE includes
#include <dcopobject.h>

/**
  *@author Peter Simonsson
  */

class KLDcop : public QObject, DCOPObject  {
  K_DCOP
  Q_OBJECT
  public:
    KLDcop(QObject* parent = 0, const char* name = 0);
  k_dcop:
    void connectToServer();
    void disconnectFromServer();
    void online();
    void offline();
    void lockLine();
    void toggleNumIsdnChanUsed();
    int getLineNumUsed();
  public slots:
    void clientstatusChanged(int status);
    void lineChanged(int line);
};

#endif
