/***************************************************************************
                          kllinedlg.cpp  -  description
                             -------------------
    begin                : Sun Mar 11 2001
    copyright            : (C) 2001 by Peter Simonsson
    email                : psn@linux.se
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

// Qt includes
#include <qcombobox.h>
#include <qvbox.h>

// KDE includes
#include <klocale.h>

// App includes
#include "kllinedlg.h"
#include "kllinedlg.moc"

KLLineDlg::KLLineDlg(QWidget* parent, const char* name)
 : KDialogBase(parent, name, true, i18n("Select Line"), Ok|Cancel)
{
  m_lineCmBox = new QComboBox(this, "lineCmBox");
  setMainWidget(m_lineCmBox);
}

KLLineDlg::~KLLineDlg(){
}

void KLLineDlg::addLine(QString name) {
  m_lineCmBox->insertItem(name);
}

void KLLineDlg::setCurrentLine(int id) {
  m_lineCmBox->setCurrentItem(id);
}

int KLLineDlg::selectedLine() {
  return m_lineCmBox->currentItem();
}
