/***************************************************************************
                          kllinedlg.h  -  description
                             -------------------
    begin                : Sun Mar 11 2001
    copyright            : (C) 2001 by Peter Simonsson
    email                : psn@linux.se
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef KLLINEDLG_H
#define KLLINEDLG_H

// Qt includes
#include <qstring.h>

// KDE includes
#include <kdialogbase.h>

class QComboBox;

/**
  *@author Peter Simonsson
  */

class KLLineDlg : public KDialogBase {
  Q_OBJECT
  public:
    KLLineDlg(QWidget* parent = 0, const char* name = 0);
    ~KLLineDlg();
    void addLine(QString name);
    void setCurrentLine(int id);
    int selectedLine();
  protected: // Variables //
    QComboBox* m_lineCmBox;
    QWidget* m_mainWidget;
};

#endif
