#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './klserversettingswidget.ui'
**
** Created: Mon Dec 31 11:14:49 2007
**      by: The User Interface Compiler ($Id: qt/main.cpp   3.3.8   edited Jan 11 14:47 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "klserversettingswidget.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qgroupbox.h>
#include <qlineedit.h>
#include <qlabel.h>
#include <qcheckbox.h>
#include <qspinbox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a KLServerSettingsWidget as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
KLServerSettingsWidget::KLServerSettingsWidget( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "KLServerSettingsWidget" );
    KLServerSettingsWidgetLayout = new QVBoxLayout( this, 0, 6, "KLServerSettingsWidgetLayout"); 

    locationGBox = new QGroupBox( this, "locationGBox" );
    locationGBox->setColumnLayout(0, Qt::Vertical );
    locationGBox->layout()->setSpacing( 6 );
    locationGBox->layout()->setMargin( 11 );
    locationGBoxLayout = new QGridLayout( locationGBox->layout() );
    locationGBoxLayout->setAlignment( Qt::AlignTop );

    hostEdit = new QLineEdit( locationGBox, "hostEdit" );

    locationGBoxLayout->addWidget( hostEdit, 0, 1 );

    portEdit = new QLineEdit( locationGBox, "portEdit" );

    locationGBoxLayout->addWidget( portEdit, 1, 1 );

    portTxtLbl = new QLabel( locationGBox, "portTxtLbl" );

    locationGBoxLayout->addWidget( portTxtLbl, 1, 0 );

    hostTxtLbl = new QLabel( locationGBox, "hostTxtLbl" );

    locationGBoxLayout->addWidget( hostTxtLbl, 0, 0 );
    KLServerSettingsWidgetLayout->addWidget( locationGBox );

    authGBox = new QGroupBox( this, "authGBox" );
    authGBox->setColumnLayout(0, Qt::Vertical );
    authGBox->layout()->setSpacing( 6 );
    authGBox->layout()->setMargin( 11 );
    authGBoxLayout = new QGridLayout( authGBox->layout() );
    authGBoxLayout->setAlignment( Qt::AlignTop );

    useAuthCBox = new QCheckBox( authGBox, "useAuthCBox" );

    authGBoxLayout->addMultiCellWidget( useAuthCBox, 0, 0, 0, 1 );

    savePasswdCBox = new QCheckBox( authGBox, "savePasswdCBox" );
    savePasswdCBox->setEnabled( FALSE );

    authGBoxLayout->addMultiCellWidget( savePasswdCBox, 2, 2, 0, 1 );

    userEdit = new QLineEdit( authGBox, "userEdit" );
    userEdit->setEnabled( FALSE );

    authGBoxLayout->addWidget( userEdit, 1, 1 );

    userTLbl = new QLabel( authGBox, "userTLbl" );
    userTLbl->setEnabled( FALSE );

    authGBoxLayout->addWidget( userTLbl, 1, 0 );
    KLServerSettingsWidgetLayout->addWidget( authGBox );

    connectionGBox = new QGroupBox( this, "connectionGBox" );
    connectionGBox->setColumnLayout(0, Qt::Vertical );
    connectionGBox->layout()->setSpacing( 6 );
    connectionGBox->layout()->setMargin( 11 );
    connectionGBoxLayout = new QGridLayout( connectionGBox->layout() );
    connectionGBoxLayout->setAlignment( Qt::AlignTop );

    autoConnectCBox = new QCheckBox( connectionGBox, "autoConnectCBox" );

    connectionGBoxLayout->addMultiCellWidget( autoConnectCBox, 0, 0, 0, 2 );

    reconnectCountSBox = new QSpinBox( connectionGBox, "reconnectCountSBox" );
    reconnectCountSBox->setEnabled( FALSE );
    reconnectCountSBox->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)3, (QSizePolicy::SizeType)0, 0, 0, reconnectCountSBox->sizePolicy().hasHeightForWidth() ) );

    connectionGBoxLayout->addWidget( reconnectCountSBox, 2, 2 );

    reconnectDelaySBox = new QSpinBox( connectionGBox, "reconnectDelaySBox" );
    reconnectDelaySBox->setEnabled( FALSE );
    reconnectDelaySBox->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)3, (QSizePolicy::SizeType)0, 0, 0, reconnectDelaySBox->sizePolicy().hasHeightForWidth() ) );
    reconnectDelaySBox->setMaxValue( 3600 );
    reconnectDelaySBox->setValue( 0 );

    connectionGBoxLayout->addWidget( reconnectDelaySBox, 3, 2 );

    reconnectTryTLbl = new QLabel( connectionGBox, "reconnectTryTLbl" );
    reconnectTryTLbl->setEnabled( FALSE );

    connectionGBoxLayout->addWidget( reconnectTryTLbl, 2, 1 );

    reconnectWaitTLbl = new QLabel( connectionGBox, "reconnectWaitTLbl" );
    reconnectWaitTLbl->setEnabled( FALSE );

    connectionGBoxLayout->addWidget( reconnectWaitTLbl, 3, 1 );
    spacer2 = new QSpacerItem( 16, 16, QSizePolicy::Maximum, QSizePolicy::Minimum );
    connectionGBoxLayout->addItem( spacer2, 2, 0 );

    reconnectCBox = new QCheckBox( connectionGBox, "reconnectCBox" );

    connectionGBoxLayout->addMultiCellWidget( reconnectCBox, 1, 1, 0, 2 );
    KLServerSettingsWidgetLayout->addWidget( connectionGBox );
    Spacer4 = new QSpacerItem( 16, 16, QSizePolicy::Minimum, QSizePolicy::Expanding );
    KLServerSettingsWidgetLayout->addItem( Spacer4 );
    languageChange();
    resize( QSize(335, 414).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( useAuthCBox, SIGNAL( toggled(bool) ), savePasswdCBox, SLOT( setEnabled(bool) ) );
    connect( useAuthCBox, SIGNAL( toggled(bool) ), userTLbl, SLOT( setEnabled(bool) ) );
    connect( useAuthCBox, SIGNAL( toggled(bool) ), userEdit, SLOT( setEnabled(bool) ) );
    connect( reconnectCBox, SIGNAL( toggled(bool) ), reconnectTryTLbl, SLOT( setEnabled(bool) ) );
    connect( reconnectCBox, SIGNAL( toggled(bool) ), reconnectWaitTLbl, SLOT( setEnabled(bool) ) );
    connect( reconnectCBox, SIGNAL( toggled(bool) ), reconnectCountSBox, SLOT( setEnabled(bool) ) );
    connect( reconnectCBox, SIGNAL( toggled(bool) ), reconnectDelaySBox, SLOT( setEnabled(bool) ) );

    // tab order
    setTabOrder( hostEdit, portEdit );
    setTabOrder( portEdit, useAuthCBox );
    setTabOrder( useAuthCBox, userEdit );
    setTabOrder( userEdit, savePasswdCBox );
    setTabOrder( savePasswdCBox, autoConnectCBox );
    setTabOrder( autoConnectCBox, reconnectCBox );
    setTabOrder( reconnectCBox, reconnectCountSBox );
    setTabOrder( reconnectCountSBox, reconnectDelaySBox );

    // buddies
    userTLbl->setBuddy( userEdit );
    reconnectTryTLbl->setBuddy( reconnectCountSBox );
    reconnectWaitTLbl->setBuddy( reconnectDelaySBox );
}

/*
 *  Destroys the object and frees any allocated resources
 */
KLServerSettingsWidget::~KLServerSettingsWidget()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void KLServerSettingsWidget::languageChange()
{
    setCaption( tr2i18n( "Server Settings" ) );
    locationGBox->setTitle( tr2i18n( "Location" ) );
    portTxtLbl->setText( tr2i18n( "Port:" ) );
    hostTxtLbl->setText( tr2i18n( "Host:" ) );
    authGBox->setTitle( tr2i18n( "Authentication" ) );
    useAuthCBox->setText( tr2i18n( "Use authent&ication" ) );
    savePasswdCBox->setText( tr2i18n( "&Remember password" ) );
    QWhatsThis::add( savePasswdCBox, tr2i18n( "Use the KDE-wallet for storing the password. If turned off, KLCC will ask for the password on every connect." ) );
    userTLbl->setText( tr2i18n( "&Username:" ) );
    connectionGBox->setTitle( tr2i18n( "Connection" ) );
    autoConnectCBox->setText( tr2i18n( "Co&nnect to server on startup" ) );
    reconnectDelaySBox->setSuffix( tr2i18n( " seconds" ) );
    reconnectTryTLbl->setText( tr2i18n( "&Retries:" ) );
    reconnectWaitTLbl->setText( tr2i18n( "&Time between retries:" ) );
    reconnectCBox->setText( tr2i18n( "Reconnect if &connection fails" ) );
}

#include "klserversettingswidget.moc"
